package com.zanxiang.game.module.manage.pojo.dto;

import com.zanxiang.game.module.mybatis.entity.Agent;
import com.zanxiang.module.web.pojo.BaseListDTO;
import lombok.Data;

import java.time.LocalDate;

@Data
public class AgentListDTO extends BaseListDTO<Agent> {


    private String agentName;

    private String agentKey;

    private Integer accountType;

    private Long accountId;
    /**
     * 游戏id
     */
    private Long gameId;
    /**
     * 回传策略 id
     */
    private Long backPolicyId;
    /**
     * 投放状态
     */
    private Integer putStatus;
    /**
     * 投手
     */
    private Long putUserId;

    private LocalDate createBeginTime;

    private LocalDate createEndTime;
}
