package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.dto.AgentDTO;
import com.zanxiang.game.module.manage.pojo.dto.AgentListDTO;
import com.zanxiang.game.module.manage.pojo.vo.AgentVO;
import com.zanxiang.game.module.mybatis.entity.Agent;

import java.util.List;

public interface IAgentService extends IService<Agent> {

    IPage<AgentVO> listOfPage(AgentListDTO dto);

    /**
     * 建渠道
     */
    boolean add(AgentDTO dto);

    boolean configPutStatus(List<Long> agentIdList, Integer putStatus);

    boolean configBackPolicy(List<Long> agentIdList, Long backPolicyId);
}
